SimSimulation Class

class NXOpen.CAE.SimSimulation

Bases: NXOpen.NXObject

This is the root object in a .sim file. Only one instance of this class will exist in each fem part file

To obtain an instance of this class, use NXOpen.CAE.SimPart.Simulation

New in version NX4.0.0.

Properties

Property Description
ActiveSolution Returns or sets the active solution
ConditionSeqManager Returns the Condition Sequence Manager
Femodel Returns the femodeloccurrence NXOpen.CAE.FEModelOccurrence assoicated with the simulation object
IsOccurrence Returns whether this object is an occurrence or not.
JournalIdentifier Returns the identifier that would be recorded in a journal for this object.
Name Returns the custom name of the object.
OwningComponent Returns the owning component, if this object is an occurrence.
OwningPart Returns the owning part of this object
Prototype Returns the prototype of this object if it is an occurrence.
Tag Returns the Tag for this object.

Methods

Method Description
AddBc Adds the boundary condition to the step in the solution passed.
BcSequenceDisplay Updates the specified BCs persistent display color according to the sequence colors defined in customer default setting.
CloneSolution Clone the solution @return the newly created NXOpen.CAE.SimSolution
CreateAutoBcBuilder Creates a NXOpen.CAE.AutoBCBuilder @return The AutoBCBuilder object
CreateAutoPairsBuilder Creates a NXOpen.CAE.AutoPairsBuilder @return The AutoPairsBuilder object
CreateBcBuilderForBc Creates a BC builder for the BC passed @return bc builder
CreateBcBuilderForConstraintDescriptor Creates a BC builder for the constraint descriptor passed @return bc builder
CreateBcBuilderForLoadDescriptor Creates a BC builder for the load descriptor passed @return bc builder
CreateBcBuilderForSimulationObjectDescriptor Creates a BC builder for the simulation object descriptor passed @return bc builder
CreateBcSelectionDisplayBuilder Creates a builder for bc selection display controls command to display bc’s selection CAE geometries with this BC’s persistent display color @return
CreateCaeRegionBuilder Creates a NXOpen.CAE.CaeRegionBuilder @return The RegionBuilder object
CreateLoadSetBuilder Creates a NXOpen.CAE.SimLoadSetBuilder @return The LoadSetBuilder object
CreateMotionLoadsBuilder Creates a NXOpen.CAE.SimMotionLoadsBuilder @return The SimMotionLoadsBuilder object
CreateMotionLoadsListItemBuilder Creates a NXOpen.CAE.SimMotionLoadsListItemBuilder @return The SimMotionLoadsListItemBuilder object
CreateSimBcPlotContoursBuilder Creates a NXOpen.CAE.SimBcPlotContoursBuilder @return The SimBcPlotContoursBuilder object
CreateSimBcXyPlotBuilder Creates a NXOpen.CAE.SimBcXyPlotBuilder @return The SimBcXyPlotBuilder object
CreateSolution Creates a solution @return the created NXOpen.CAE.SimSolution
CreateSolutionManager Creates a NXOpen.CAE.SolutionManager for the active solution environment @return The SolutionManager object
CreateSolutionStep Creates a step and add to the solution @return step NXOpen.CAE.SimSolutionStep to be added
CreateStepManager Creates a NXOpen.CAE.StepManager for a solution @return The StepManager object
DeleteAllAttributesByType Deletes all attributes of a specific type.
DeleteAttributeByTypeAndTitle Deletes an attribute by type and title.
DeleteSolution Delete the solution
DeleteUserAttribute Deletes the first attribute encountered with the given Type, Title.
DeleteUserAttributes Deletes the attributes encountered with the given Type with option to update or not.
FindObject Finds the NXOpen.NXObject with the given identifier as recorded in a journal.
GetAttributeTitlesByType Gets all the attribute titles of a specific type.
GetBooleanUserAttribute Gets a boolean attribute by Title and array Index.
GetComputationalTimeUserAttribute Gets a time attribute by Title and array Index.
GetIntegerAttribute Gets an integer attribute by title.
GetIntegerUserAttribute Gets an integer attribute by Title and array Index.
GetRealAttribute Gets a real attribute by title.
GetRealUserAttribute Gets a real attribute by Title and array Index.
GetReferenceAttribute Gets the reference string (not the calculated value) of a string attribute that uses a reference string.
GetStringAttribute Gets a string attribute value by title.
GetStringUserAttribute Gets a string attribute by Title and array Index.
GetTimeAttribute Gets a time attribute by title.
GetTimeUserAttribute Gets a time attribute by Title and array Index.
GetUserAttribute Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index.
GetUserAttributeAsString Gets the first attribute encountered on the object, if any, with a given title, type and array index.
GetUserAttributeCount Gets the count of set attributes on the object, if any, of the given type.
GetUserAttributeLock Determine the lock of the given attribute.
GetUserAttributeSize Gets the size of the first attribute encountered on the object, if any, with a given Title and Type.
GetUserAttributeSourceObjects Returns an array of objects from which this object presents attributes.
GetUserAttributes Gets all the attributes that have been set on the given object.
GetUserAttributesAsStrings Gets all the attributes that have been set on the given object.
HasUserAttribute Determines if an attribute with the given Title, Type and array Index is present on the object Unset attributes will not be detected by this function, as its purpose is to test for the actual presence of the attribute on the object.
Print Prints a representation of this object to the system log file.
SetAttribute Creates or modifies an integer attribute.
SetBooleanUserAttribute Creates or modifies a boolean attribute with the option to update or not.
SetName Sets the custom name of the object.
SetReferenceAttribute Creates or modifies a string attribute which uses a reference string.
SetTimeAttribute Creates or modifies a time attribute.
SetTimeUserAttribute Creates or modifies a time attribute with the option to update or not.
SetUserAttribute Creates or modifies an attribute with the option to update or not.
SetUserAttributeLock Lock or unlock the given attribute.

Property Detail

ActiveSolution

SimSimulation.ActiveSolution

Returns or sets the active solution

-------------------------------------

Getter Method

Signature ActiveSolution()

Returns:the active solution NXOpen.CAE.SimSolution
Return type:NXOpen.CAE.SimSolution

New in version NX4.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

-------------------------------------

Setter Method

Signature ActiveSolution(activeSolution)

Parameters:activeSolution (NXOpen.CAE.SimSolution) – the active solution NXOpen.CAE.SimSolution

New in version NX4.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

ConditionSeqManager

SimSimulation.ConditionSeqManager

Returns the Condition Sequence Manager

-------------------------------------

Getter Method

Signature ConditionSeqManager()

Returns:the Condition Sequence Managerr
Return type:NXOpen.CAE.SimConditionSeqMgr

New in version NX9.0.0.

License requirements: None.

Femodel

SimSimulation.Femodel

Returns the femodeloccurrence NXOpen.CAE.FEModelOccurrence assoicated with the simulation object

-------------------------------------

Getter Method

Signature Femodel()

Returns:NXOpen.CAE.FEModelOccurrence associated with the simulation object
Return type:NXOpen.CAE.FEModelOccurrence

New in version NX5.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

IsOccurrence

SimSimulation.IsOccurrence

Returns whether this object is an occurrence or not.

-------------------------------------

Getter Method

Signature IsOccurrence()

Returns:This object is an occurrence
Return type:bool

New in version NX3.0.0.

License requirements: None.

JournalIdentifier

SimSimulation.JournalIdentifier

Returns the identifier that would be recorded in a journal for this object.

This may not be the same across different releases of the software.

-------------------------------------

Getter Method

Signature JournalIdentifier()

Returns:
Return type:str

New in version NX3.0.0.

License requirements: None.

Name

SimSimulation.Name

Returns the custom name of the object.

-------------------------------------

Getter Method

Signature Name()

Returns:
Return type:str

New in version NX3.0.0.

License requirements: None.

OwningComponent

SimSimulation.OwningComponent

Returns the owning component, if this object is an occurrence.

-------------------------------------

Getter Method

Signature OwningComponent()

Returns:
Return type:NXOpen.Assemblies.Component

New in version NX3.0.0.

License requirements: None.

OwningPart

SimSimulation.OwningPart

Returns the owning part of this object

-------------------------------------

Getter Method

Signature OwningPart()

Returns:The owning part of this object or null if it does not have an owner
Return type:NXOpen.BasePart

New in version NX3.0.0.

License requirements: None.

Prototype

SimSimulation.Prototype

Returns the prototype of this object if it is an occurrence.

-------------------------------------

Getter Method

Signature Prototype()

Returns:The prototype of this object or null if this object is not an occurrence
Return type:NXOpen.INXObject

New in version NX3.0.0.

License requirements: None.

Method Detail

AddBc

SimSimulation.AddBc

Adds the boundary condition to the step in the solution passed.

If solution is None then the boundary condition is added to the active solution If step is None then the boundary condition is added to the active step

Signature AddBc(bc, solution, solutionStep)

Parameters:

New in version NX4.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

BcSequenceDisplay

SimSimulation.BcSequenceDisplay

Updates the specified BCs persistent display color according to the sequence colors defined in customer default setting.

The behavior of this API is depends on the inputs: 1, If only NXOpen.CAE.SimBC objects are input, then each BC will get its own sequence color. 2, If only NXOpen.CAE.SimLbcFolder objects are input, then each Folder will get its own sequence color and that color will be applied to all the BC in the folder; If a folder is subfolders and the parent folder also in the input objects list, then this subfolder’s color is same as the parent folder’s color, if the subfolder in the input list but its parent folder is not in the list, this subfolder will get its own sequence color. 3, If only one NXOpen.CAE.SimLbcFolder is input, or if the input contains both NXOpen.CAE.SimBC and NXOpen.CAE.SimLbcFolder objects, then each BC will get its own sequence color.

Signature BcSequenceDisplay(objects)

Parameters:objects (list of NXOpen.NXObject) – The input objects can be 1, NXOpen.CAE.SimBC 2, NXOpen.CAE.SimLbcFolder

New in version NX10.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

CloneSolution

SimSimulation.CloneSolution

Clone the solution

Signature CloneSolution(oldSolution, suggestedName)

Parameters:
  • oldSolution (NXOpen.CAE.SimSolution) – the NXOpen.CAE.SimSolution to be cloned
  • suggestedName (str) – name to use instead of default name (may be None) NOTE: The full Unicode character set is not supported for this parameter.
Returns:

the newly created NXOpen.CAE.SimSolution

Return type:

NXOpen.CAE.SimSolution

New in version NX4.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

CreateAutoBcBuilder

SimSimulation.CreateAutoBcBuilder

Creates a NXOpen.CAE.AutoBCBuilder

Signature CreateAutoBcBuilder(pcBCDescName, pcRecipeName)

Parameters:pcBCDescName – The neutral name of the LBCDescriptor.

NOTE: The full Unicode character set is not supported for this parameter. :type pcBCDescName: str :param pcRecipeName: The name of the AutoBCRecipe NOTE: The full Unicode character set is not supported for this parameter. :type pcRecipeName: str :returns: The AutoBCBuilder object :rtype: NXOpen.CAE.AutoBCBuilder

New in version NX6.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

CreateAutoPairsBuilder

SimSimulation.CreateAutoPairsBuilder

Creates a NXOpen.CAE.AutoPairsBuilder

Signature CreateAutoPairsBuilder(pcBCDescName)

Parameters:pcBCDescName – The neutral name of the AutoPairsDescriptor.

NOTE: The full Unicode character set is not supported for this parameter. :type pcBCDescName: str :returns: The AutoPairsBuilder object :rtype: NXOpen.CAE.AutoPairsBuilder

New in version NX5.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

CreateBcBuilderForBc

SimSimulation.CreateBcBuilderForBc

Creates a BC builder for the BC passed

Signature CreateBcBuilderForBc(bc)

Parameters:bc (NXOpen.CAE.SimBC) – bc object
Returns:bc builder
Return type:NXOpen.CAE.SimBCBuilder

New in version NX4.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

CreateBcBuilderForConstraintDescriptor

SimSimulation.CreateBcBuilderForConstraintDescriptor

Overloaded method CreateBcBuilderForConstraintDescriptor

  • CreateBcBuilderForConstraintDescriptor(bcDescName, bcName)
  • CreateBcBuilderForConstraintDescriptor(bcDescName, bcName, label)

-------------------------------------

Creates a BC builder for the constraint descriptor passed

Signature CreateBcBuilderForConstraintDescriptor(bcDescName, bcName)

Parameters:
  • bcDescName (str) – name of the constraint descriptor NOTE: The full Unicode character set is not supported for this parameter.
  • bcName (str) – name of the constraint to be created NOTE: The full Unicode character set is not supported for this parameter.
Returns:

bc builder

Return type:

NXOpen.CAE.SimBCBuilder

New in version NX4.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

-------------------------------------

Creates a BC builder for the constraint descriptor passed

Signature CreateBcBuilderForConstraintDescriptor(bcDescName, bcName, label)

Parameters:
  • bcDescName (str) – name of the constraint descriptor NOTE: The full Unicode character set is not supported for this parameter.
  • bcName (str) – name of the constraint to be created NOTE: The full Unicode character set is not supported for this parameter.
  • label (int) – constraint label
Returns:

bc builder

Return type:

NXOpen.CAE.SimBCBuilder

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

-------------------------------------

CreateBcBuilderForLoadDescriptor

SimSimulation.CreateBcBuilderForLoadDescriptor

Overloaded method CreateBcBuilderForLoadDescriptor

  • CreateBcBuilderForLoadDescriptor(bcDescName, bcName)
  • CreateBcBuilderForLoadDescriptor(bcDescName, bcName, label)

-------------------------------------

Creates a BC builder for the load descriptor passed

Signature CreateBcBuilderForLoadDescriptor(bcDescName, bcName)

Parameters:
  • bcDescName (str) – name of the load descriptor NOTE: The full Unicode character set is not supported for this parameter.
  • bcName (str) – name of the load to be created NOTE: The full Unicode character set is not supported for this parameter.
Returns:

bc builder

Return type:

NXOpen.CAE.SimBCBuilder

New in version NX4.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

-------------------------------------

Creates a BC builder for the load descriptor passed

Signature CreateBcBuilderForLoadDescriptor(bcDescName, bcName, label)

Parameters:
  • bcDescName (str) – name of the load descriptor NOTE: The full Unicode character set is not supported for this parameter.
  • bcName (str) – name of the load to be created NOTE: The full Unicode character set is not supported for this parameter.
  • label (int) – load label
Returns:

bc builder

Return type:

NXOpen.CAE.SimBCBuilder

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

-------------------------------------

CreateBcBuilderForSimulationObjectDescriptor

SimSimulation.CreateBcBuilderForSimulationObjectDescriptor

Overloaded method CreateBcBuilderForSimulationObjectDescriptor

  • CreateBcBuilderForSimulationObjectDescriptor(bcDescName, bcName)
  • CreateBcBuilderForSimulationObjectDescriptor(bcDescName, bcName, label)

-------------------------------------

Creates a BC builder for the simulation object descriptor passed

Signature CreateBcBuilderForSimulationObjectDescriptor(bcDescName, bcName)

Parameters:
  • bcDescName (str) – name of the simulation object descriptor NOTE: The full Unicode character set is not supported for this parameter.
  • bcName (str) – name of the simulation object to be created NOTE: The full Unicode character set is not supported for this parameter.
Returns:

bc builder

Return type:

NXOpen.CAE.SimBCBuilder

New in version NX4.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

-------------------------------------

Creates a BC builder for the simulation object descriptor passed

Signature CreateBcBuilderForSimulationObjectDescriptor(bcDescName, bcName, label)

Parameters:
  • bcDescName (str) – name of the simulation object descriptor NOTE: The full Unicode character set is not supported for this parameter.
  • bcName (str) – name of the simulation object to be created NOTE: The full Unicode character set is not supported for this parameter.
  • label (int) – simulation object label
Returns:

bc builder

Return type:

NXOpen.CAE.SimBCBuilder

New in version NX7.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

-------------------------------------

CreateBcSelectionDisplayBuilder

SimSimulation.CreateBcSelectionDisplayBuilder

Creates a builder for bc selection display controls command to display bc’s selection CAE geometries with this BC’s persistent display color

Signature CreateBcSelectionDisplayBuilder()

Returns:
Return type:NXOpen.CAE.BCSelectionDisplayBuilder

New in version NX10.0.0.

License requirements: nx_design_sim (“NX Design Simulation”)

CreateCaeRegionBuilder

SimSimulation.CreateCaeRegionBuilder

Creates a NXOpen.CAE.CaeRegionBuilder

Signature CreateCaeRegionBuilder(pcRegionDescName, tRegion)

Parameters:pcRegionDescName – The neutral name of the region descriptor.

NOTE: The full Unicode character set is not supported for this parameter. :type pcRegionDescName: str :param tRegion: The region if we are editing it, or None if we are creating a new one :type tRegion: NXOpen.CAE.CaeRegion :returns: The RegionBuilder object :rtype: NXOpen.CAE.CaeRegionBuilder

New in version NX7.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

CreateLoadSetBuilder

SimSimulation.CreateLoadSetBuilder

Creates a NXOpen.CAE.SimLoadSetBuilder

Signature CreateLoadSetBuilder(pcLoadSetDescName, pName, tLoadSet, iLabel)

Parameters:pcLoadSetDescName – The neutral name of the load set descriptor.

NOTE: The full Unicode character set is not supported for this parameter. :type pcLoadSetDescName: str :param pName: The name of the load set. NOTE: The full Unicode character set is not supported for this parameter. :type pName: str :param tLoadSet: The load set if we are editing it, or None if we are creating a new one :type tLoadSet: NXOpen.CAE.SimLoadSet :param iLabel: The label of the load set. :type iLabel: int :returns: The LoadSetBuilder object :rtype: NXOpen.CAE.SimLoadSetBuilder

New in version NX10.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

CreateMotionLoadsBuilder

SimSimulation.CreateMotionLoadsBuilder

Creates a NXOpen.CAE.SimMotionLoadsBuilder

Signature CreateMotionLoadsBuilder()

Returns:The SimMotionLoadsBuilder object
Return type:NXOpen.CAE.SimMotionLoadsBuilder

New in version NX5.0.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

CreateMotionLoadsListItemBuilder

SimSimulation.CreateMotionLoadsListItemBuilder

Creates a NXOpen.CAE.SimMotionLoadsListItemBuilder

Signature CreateMotionLoadsListItemBuilder()

Returns:The SimMotionLoadsListItemBuilder object
Return type:NXOpen.CAE.SimMotionLoadsListItemBuilder

New in version NX5.0.1.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

CreateSimBcPlotContoursBuilder

SimSimulation.CreateSimBcPlotContoursBuilder

Creates a NXOpen.CAE.SimBcPlotContoursBuilder

Signature CreateSimBcPlotContoursBuilder()

Returns:The SimBcPlotContoursBuilder object
Return type:NXOpen.CAE.SimBcPlotContoursBuilder

New in version NX8.5.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

CreateSimBcXyPlotBuilder

SimSimulation.CreateSimBcXyPlotBuilder

Creates a NXOpen.CAE.SimBcXyPlotBuilder

Signature CreateSimBcXyPlotBuilder()

Returns:The SimBcXyPlotBuilder object
Return type:NXOpen.CAE.SimBcXyPlotBuilder

New in version NX9.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

CreateSolution

SimSimulation.CreateSolution

Overloaded method CreateSolution

  • CreateSolution(solverType, analysisType, solutionType, name)
  • CreateSolution(conditionSeqeunce, solverType, analysisType, solutionType, name)
  • CreateSolution(conditionSeqeunce, numSteps, solverType, analysisType, solutionType, name)
  • CreateSolution(conditionSeqeunce, stepSize, stepUnit, solverType, analysisType, solutionType, name)

-------------------------------------

Creates a solution

Signature CreateSolution(solverType, analysisType, solutionType, name)

Parameters:
  • solverType (str) – name of the solver NOTE: The full Unicode character set is not supported for this parameter.
  • analysisType (str) – name of the analysis type NOTE: The full Unicode character set is not supported for this parameter.
  • solutionType (str) – name of the solution type NOTE: The full Unicode character set is not supported for this parameter.
  • name (str) – name of the solution to be created
Returns:

the created NXOpen.CAE.SimSolution

Return type:

NXOpen.CAE.SimSolution

New in version NX4.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

-------------------------------------

Creates a solution from a condition sequence

Signature CreateSolution(conditionSeqeunce, solverType, analysisType, solutionType, name)

Parameters:
  • conditionSeqeunce (NXOpen.CAE.SimConditionSequence) – create solution from NXOpen.CAE.SimConditionSequence
  • solverType (str) – name of the solver NOTE: The full Unicode character set is not supported for this parameter.
  • analysisType (str) – name of the analysis type NOTE: The full Unicode character set is not supported for this parameter.
  • solutionType (str) – name of the solution type NOTE: The full Unicode character set is not supported for this parameter.
  • name (str) – name of the solution to be created
Returns:

the created NXOpen.CAE.SimSolution

Return type:

NXOpen.CAE.SimSolution

New in version NX9.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

-------------------------------------

Creates a solution from a condition sequence and number of integration steps

Signature CreateSolution(conditionSeqeunce, numSteps, solverType, analysisType, solutionType, name)

Parameters:
  • conditionSeqeunce (NXOpen.CAE.SimConditionSequence) – create solution from NXOpen.CAE.SimConditionSequence
  • numSteps (int) – number of integration steps
  • solverType (str) – name of the solver NOTE: The full Unicode character set is not supported for this parameter.
  • analysisType (str) – name of the analysis type NOTE: The full Unicode character set is not supported for this parameter.
  • solutionType (str) – name of the solution type NOTE: The full Unicode character set is not supported for this parameter.
  • name (str) – name of the solution to be created
Returns:

the created NXOpen.CAE.SimSolution

Return type:

NXOpen.CAE.SimSolution

New in version NX9.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

-------------------------------------

Creates a solution from a condition sequence and integration step size

Signature CreateSolution(conditionSeqeunce, stepSize, stepUnit, solverType, analysisType, solutionType, name)

Parameters:
  • conditionSeqeunce (NXOpen.CAE.SimConditionSequence) – create solution from NXOpen.CAE.SimConditionSequence
  • stepSize (float) – size of integration steps
  • stepUnit (NXOpen.Unit) – step size NXOpen.Unit
  • solverType (str) – name of the solver NOTE: The full Unicode character set is not supported for this parameter.
  • analysisType (str) – name of the analysis type NOTE: The full Unicode character set is not supported for this parameter.
  • solutionType (str) – name of the solution type NOTE: The full Unicode character set is not supported for this parameter.
  • name (str) – name of the solution to be created
Returns:

the created NXOpen.CAE.SimSolution

Return type:

NXOpen.CAE.SimSolution

New in version NX9.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

-------------------------------------

CreateSolutionManager

SimSimulation.CreateSolutionManager

Creates a NXOpen.CAE.SolutionManager for the active solution environment

Signature CreateSolutionManager()

Returns:The SolutionManager object
Return type:NXOpen.CAE.SolutionManager

New in version NX10.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

CreateSolutionStep

SimSimulation.CreateSolutionStep

Creates a step and add to the solution

Signature CreateSolutionStep(solution, stepType, name)

Parameters:
  • solution (NXOpen.CAE.SimSolution) – the solution to which the step will be added, if a None is passed the current active solution will be used
  • stepType (int) – index of the step type
  • name (str) – name of the step
Returns:

step NXOpen.CAE.SimSolutionStep to be added

Return type:

NXOpen.CAE.SimSolutionStep

New in version NX4.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

CreateStepManager

SimSimulation.CreateStepManager

Creates a NXOpen.CAE.StepManager for a solution

Signature CreateStepManager(tSol)

Parameters:tSol (NXOpen.CAE.SimSolution) – solution
Returns:The StepManager object
Return type:NXOpen.CAE.StepManager

New in version NX10.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”)

DeleteSolution

SimSimulation.DeleteSolution

Delete the solution

Signature DeleteSolution(solution)

Parameters:solution (NXOpen.CAE.SimSolution) – the NXOpen.CAE.SimSolution to be deleted

New in version NX4.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

FindObject

SimSimulation.FindObject

Finds the NXOpen.NXObject with the given identifier as recorded in a journal.

An object may not return the same value as its JournalIdentifier in different versions of the software. However newer versions of the software should find the same object when FindObject is passed older versions of its journal identifier. In general, this method should not be used in handwritten code and exists to support record and playback of journals.

An exception will be thrown if no object can be found with the given journal identifier.

Signature FindObject(journalIdentifier)

Parameters:journalIdentifier (str) – Journal identifier of the object
Returns:
Return type:NXOpen.INXObject

New in version NX3.0.0.

License requirements: None.

Print

SimSimulation.Print

Prints a representation of this object to the system log file.

Signature Print()

New in version NX3.0.0.

License requirements: None.

SetName

SimSimulation.SetName

Sets the custom name of the object.

NOTE: This method should not be used to edit a read-only object such as a Mirrored PMI object. If it is, the changes will be overridden when the part is updated.

Signature SetName(name)

Parameters:name (str) –

New in version NX3.0.0.

License requirements: None.